---
title: Slurm Basic Commands
#tags:
#keywords:
last_updated: 19 June 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/slurm-basics.html
---

In this document some basic commands for using Slurm are showed. Advanced examples for some of these
are explained in other Merlin6 Slurm pages. You can always use ```man <command>``` pages for more
information about options and examples.

## Basic commands

Useful commands for the slurm:

```bash
sinfo            # to see the name of nodes, their occupancy, 
                 # name of slurm partitions, limits (try out with "-l" option)
squeue           # to see the currently running/waiting jobs in slurm 
                 # (additional "-l" option may also be useful)
sbatch Script.sh # to submit a script (example below) to the slurm.
srun <command>   # to submit a command to Slurm. Same options as in 'sbatch' can be used.
salloc           # to allocate computing nodes. Use for interactive runs.
scancel job_id   # to cancel slurm job, job id is the numeric id, seen by the squeue.
```

---

## Advanced basic commands:

```bash
sinfo -N -l      # list nodes, state, resources (#CPUs, memory per node, ...), etc.
sshare -a        # to list shares of associations to a cluster
sprio -l         # to view the factors that comprise a job's scheduling priority 
                 # add '-u <username>' for filtering user
```

---
